# Contributing to async-wait-until

First off, thank you for considering contributing to async-wait-until! It's people like you that make this project better for everyone.

## Table of Contents

- [Code of Conduct](#code-of-conduct)
- [Getting Started](#getting-started)
- [Pull Requests](#pull-requests)
- [Development Workflow](#development-workflow)
- [Coding Style](#coding-style)
- [Testing](#testing)
- [Reporting Bugs](#reporting-bugs)
- [Suggesting Features](#suggesting-features)
- [License](#license)

## Code of Conduct

This project and everyone participating in it is governed by our Code of Conduct. By participating, you are expected to uphold this code. Please report unacceptable behavior to the project maintainers.

## Getting Started

### Prerequisites

- Node.js (version specified in package.json)
- npm or yarn

### Setup

1. Fork the repository
2. Clone your fork: `git clone https://github.com/YOUR-USERNAME/async-wait-until.git`
3. Navigate to the project directory: `cd async-wait-until`
4. Install dependencies: `npm install` or `yarn install`
5. Create a new branch for your changes: `git checkout -b feature/your-feature-name`

## Pull Requests

1. Ensure your code passes all tests
2. Update documentation if necessary
3. Include relevant tests for your changes
4. Ensure your commits are well-formatted and descriptive
5. Submit a pull request to the `main` branch

### Pull Request Process

1. Update the README.md with details of changes if applicable
2. Increase the version numbers in package.json and other relevant files following [Semantic Versioning](https://semver.org/)
3. The PR will be merged once it has been reviewed and approved by a maintainer

## Development Workflow

1. Make your changes
2. Run tests: `npm test` or `yarn test`
3. Lint your code: `npm run lint` or `yarn lint`
4. Fix any issues before committing

## Coding Style

- This project uses ESLint and Prettier for code formatting
- Follow the existing code style
- Use descriptive variable and function names
- Add comments for complex logic

## Testing

- Write tests for new features and bug fixes
- Ensure all tests pass before submitting a PR
- Aim for good test coverage

## Reporting Bugs

When reporting bugs, please include:

- A clear and descriptive title
- Steps to reproduce the issue
- Expected behavior
- Actual behavior
- Environment information (OS, Node.js version, etc.)
- Any relevant logs or screenshots

## Suggesting Features

When suggesting features:

- Clearly describe the feature and its benefits
- Provide examples of how it would be used
- Indicate if you're willing to help implement it

## License

By contributing, you agree that your contributions will be licensed under the same license as the project.

Thank you for contributing to async-wait-until!
